Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
parsing.cpp File Reference
`#include <botan/parsing.h>`
`#include <botan/exceptn.h>`
`#include <botan/charset.h>`
`#include <botan/loadstor.h>`
`#include <limits>`
`#include <set>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
std::string | Botan::erase_chars (const std::string &str, const std::set< char > &chars)
bool | Botan::host_wildcard_match (const std::string &issued, const std::string &host)
std::string | Botan::ipv4_to_string (uint32_t ip)
std::vector< std::string > | Botan::parse_algorithm_name (const std::string &namex)
std::vector< uint32_t > | Botan::parse_asn1_oid (const std::string &oid)
std::string | Botan::replace_char (const std::string &str, char from_char, char to_char)
std::string | Botan::replace_chars (const std::string &str, const std::set< char > &chars, char to_char)
std::vector< std::string > | Botan::split_on (const std::string &str, char delim)
std::vector< std::string > | Botan::split_on_pred (const std::string &str, std::function< bool(char)> pred)
std::string | Botan::string_join (const std::vector< std::string > &strs, char delim)
uint32_t | Botan::string_to_ipv4 (const std::string &str)
uint32_t | Botan::timespec_to_u32bit (const std::string &timespec)
uint32_t | Botan::to_u32bit (const std::string &str)
bool | Botan::x500_name_cmp (const std::string &name1, const std::string &name2)